package com.yaohun.levelreward;

import com.yaohun.levelreward.config.Config;
import com.yaohun.levelreward.data.PlayerData;
import com.yaohun.levelreward.gui.RewardGui;
import com.yaohun.levelreward.manage.PlayerManager;
import com.yaohun.levelreward.util.ToolsUtil;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.plugin.java.JavaPlugin;

public class LevelReward extends JavaPlugin {

    private static LevelReward instance;
    private static PlayerManager playerManager;


    @Override
    public void onEnable() {
        instance = this;
        Config.reloadConfig(this);
        playerManager = new PlayerManager();
    }

    @Override
    public void onDisable() {

    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
        if("open".equalsIgnoreCase(args[0])){
            RewardGui.OpenGui((Player) sender);
            return true;
        }
        if(!sender.isOp()) {
            return true;
        }
        if (args.length == 0) {
            sender.sendMessage("");
            sender.sendMessage("§e------- ======= §6等级成长礼包 §e======= -------");
            sender.sendMessage("§2/"+label+" open §f- §2打开界面");
            sender.sendMessage("§2/"+label+" skull §f- §2查看头颅码");
            sender.sendMessage("§2/"+label+" reload §f- §2重载配置文件");
            sender.sendMessage("§e------- ======= §6等级成长礼包 §e======= -------");
            sender.sendMessage("");
            return true;
        }
        if("skull".equalsIgnoreCase(args[0])){
            Player player = (Player) sender;
            ItemStack stack = player.getInventory().getItemInMainHand();
            sender.sendMessage("[查询头颅] Base64ID: "+ToolsUtil.getHandSkullBase64(stack));
            return true;
        }
        if("reload".equalsIgnoreCase(args[0])){
            Config.reloadConfig(this);
            sender.sendMessage("[等级礼包] 配置文件已重载.");
            return true;
        }
        return false;
    }


    public static LevelReward inst() {
        return instance;
    }

    public static PlayerManager getPlayerManager() {
        return playerManager;
    }
}
