package com.yaohun.levelreward.gui;

import com.yaohun.levelreward.config.Config;
import com.yaohun.levelreward.data.RewardData;
import com.yaohun.levelreward.util.MessageUtil;
import com.yaohun.levelreward.util.StackUtil;
import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.entity.Player;
import org.bukkit.event.Listener;
import org.bukkit.inventory.Inventory;

public class RewardGui {

    private static String invTitle = Config.langData.getMessage("invTitle");

    public static boolean isTimeOut60Day(Player player){
        long firstPlayed = player.getFirstPlayed();
        if(firstPlayed == 0){
            return false;
        }
        long nowTime = System.currentTimeMillis();
        long days = (nowTime - firstPlayed) / (1000 * 60 * 60 * 24);
        if(days < 60){
            return false;
        }
        return true;
    }
    public static void OpenGui(Player player) {
        // 获取玩家入服时间 并判断是否已超过60天
        if(isTimeOut60Day(player)){
            MessageUtil.sendMessage(player,"timeOutDay", Sound.ENTITY_BLAZE_DEATH);
            return;
        }
        Inventory inv = Bukkit.createInventory(null,27, invTitle);
        for (RewardData rewardData : Config.getRewardDataList()){
            inv.setItem(rewardData.getSlot(), StackUtil.getGiftPack(player, rewardData));
        }
        player.openInventory(inv);
    }
}
