package com.yaohun.levelreward.util;

import com.mojang.authlib.GameProfile;
import com.mojang.authlib.properties.Property;
import com.yaohun.levelreward.config.Config;
import com.yaohun.levelreward.data.PlayerData;
import com.yaohun.levelreward.data.RewardData;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.inventory.meta.SkullMeta;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import java.util.UUID;

public class StackUtil {

    public static ItemStack getGiftPack(Player player, RewardData rewardData){
        ItemStack stack = Config.getItemStack("LevelGiftPack");
        if(rewardData.getRewardKey().contains("kejin")){
            stack = Config.getItemStack("PayGiftPack");
        }
        stack.setType(Material.SKULL_ITEM);
        stack.setDurability((short) 3);
        SkullMeta meta = (SkullMeta) stack.getItemMeta();
        GameProfile profile = new GameProfile(UUID.randomUUID(), null);
        String base64 = rewardData.getBase64();
        profile.getProperties().put("textures", new Property("textures", base64));
        try {
            Field profileField = meta.getClass().getDeclaredField("profile");
            profileField.setAccessible(true);
            profileField.set(meta, profile);
        } catch (Exception e) {
            e.printStackTrace();
        }
        String itemName = meta.getDisplayName();
        meta.setDisplayName(itemName.replace("{level}",String.valueOf(rewardData.getNeedLevel())));
        List<String> lore = meta.getLore();
        List<String> newLore = new ArrayList<>();
        for (String line : lore) {
            if (line.contains("{name}")) {
                newLore.add(line.replace("{name}", player.getName()));
            } else if (line.contains("{player_level}")) {
                newLore.add(line.replace("{player_level}", String.valueOf(player.getLevel())));
            } else if (line.contains("{rewardLore}")) {
                newLore.addAll(rewardData.getRewardList());
            } else {
                newLore.add(line);
            }
        }
        meta.setLore(newLore);
        stack.setItemMeta(meta);
        return stack;
    }
}
